package com.szpg.db.dao;

import com.szpg.db.data.PgPower;

import java.util.List;

/**
 * 电力相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgPowerDao {

	/******** 温湿度监测值 ********/
	public List<PgPower> findAllPower();
	public PgPower findPowerById(Integer id);
	public PgPower findLatestPowerByDevice(Integer deviceid);
	
	public List<PgPower> findPowerByDevice(Integer deviceid);
	public List<PgPower> finPowerByDeviceAndTm(Integer deviceid, String start, String end);
	
	public int addPowerRecord(PgPower power);
	public int addPowerRecord(float au, float bu, float cu, float ai, float bi, float ci, String tm, int deviceid);
}
